Name:           python-unrardll
Version:        0.1.3
Release:        1%{?dist}
Summary:        Python wrapper for the UNRAR DLL

License:        BSD
URL:            https://github.com/kovidgoyal/unrardll
Source0:        https://github.com/kovidgoyal/unrardll/archive/v%{version}.tar.gz

# https://github.com/kovidgoyal/unrardll/pull/3
Patch1:         0001-Fix-conditional-to-continue-only-on-error.patch
Patch2:         0002-Add-case-to-silence-compiler-warning.patch


BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libunrar-devel
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description \
Wrap the Unrar DLL to enable unraring of files in python.

%description %_description

%package -n python3-unrardll
Summary:        %{summary}
%{?python_provide:%python_provide python3-unrardll}

%description -n python3-unrardll %_description

%prep
%autosetup -n unrardll-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} pytest-3 test/*.py -v

%files -n python3-unrardll
%{python3_sitearch}/unrardll*
%doc README.rst
%license LICENSE

%changelog
* Mon Jun 10 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.3-1
- Initial packaging
